﻿@model ClubWaiversViewModel

@{
    Layout = null;
}
<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ng-click="Save()" ng-hide="EditMode||AddMode">
                <i class="icon-arrow-left fg-black"></i>
            </a>
            <a class="action" ng-click="AddMode = false; EditMode = false; Model.Text = ''; Model.Name = ''" ng-show="EditMode">
                <i class="icon-arrow-left fg-black"></i>
            </a>
            <a class="action" ng-click="AddMode = false; EditMode = false; Model.Text = ''; Model.Name = ''" ng-show="AddMode">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1 ng-hide="EditMode||AddMode">
                Manage Waivers
            </h1>
            <h1 ng-show="EditMode">
                Edit waiver
            </h1>
            <h1 ng-show="AddMode">
                Add new waiver
            </h1>
        </div>
        <div class="actions">
            <a ng-hide="EditMode||AddMode" ng-click="ActiveAgree();AddMode=true; EditMode=false; Model.Text=''; Model.Name='';" class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Add new waiver">
                <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div ng-hide="EditMode||AddMode">
        <kendo-grid id="waiverGrid" options="waiverGridOptions"></kendo-grid>
    </div>
    <div ng-show="EditMode||AddMode">
        <label class="req-star">Name</label>
        <div class="input-control text" @Html.AngValidationClassFor(model=>
            model.Name)>
            <input type="text" ng-model="@Html.Ang(model => model.Name)" @Html.AngTooltipValidationFor(model=> model.Name) />
        </div>
        <label class="req-star">Content</label>
        <div class="editor-body" id="bodyeditor" @Html.AngValidationClassFor(model=> model.Text) ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Text'].Messages)">
            <div class="input-control textarea support-error-state" data-html="true" data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Text'].Messages)}}" jb-tooltip>
                <textarea id="discription" kendo-editor k-tools="['bold','italic','underline','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','createLink','unlink','cleanFormatting','backColor','viewHtml']" k-ng-model="Model.Text" @Html.AngTooltipValidationFor(model=> model.Text)></textarea>
            </div>
        </div>
    </div>
    <div class="input-control check" ng-show="EditMode||AddMode">
        <fieldset>

            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin " data-role="input-control" ng-if="EditMode">
                    <label class="block">
                        <input type="radio" name="Waiver" ng-model="Model.WaiverConfirmationType" ng-value="'Agree'" />
                        <span class="check"></span>
                        Ask user to agree to the waiver
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control" ng-if="EditMode">
                    <label class="block">
                        <input type="radio" name="Waiver" ng-model="Model.WaiverConfirmationType" ng-value="'Signature'" />
                        <span class="check"></span>
                        Ask user to sign the waiver
                    </label>
                </div>
                <div class="input-control radio default-style place-left no-margin " data-role="input-control" ng-if="AddMode">
                    <label class="block">
                        <input type="radio" name="Waiver" id="Radio1" ng-model="Model.WaiverConfirmationType" ng-value="'Agree'" ng-checked="" />
                        <span class="check"></span>
                        Ask user to agree to the waiver
                    </label>
                </div>
                <br />
                <div class="input-control radio default-style place-left  no-margin " data-role="input-control" ng-if="AddMode">
                    <label class="block">
                        <input type="radio" name="Waiver" ng-model="Model.WaiverConfirmationType" ng-value="'Signature'" />
                        <span class="check"></span>
                        Ask user to sign the waiver
                    </label>
                </div>
            </div>

            <div class="clearfix"></div>

        </fieldset>

        <fieldset>
            <div class="input-control check">
                <div class="input-control checkbox default-style place-left no-margin " data-role="input-control">
                    <label class="block">
                        <input type="checkbox" ng-if="AddMode" ng-model="Model.IsRequired" ng-value="true" ng-init="Model.IsRequired=true">
                        <input type="checkbox" ng-if="EditMode" ng-model="Model.IsRequired" ng-value="true">
                        <span class="check"></span>
                        This waiver is mandatory
                    </label>
                </div>
            </div>
            <div class="clearfix"></div>
        </fieldset>
        <div class="clearfix"></div>
        <hr />
        <div ng-show="EditMode||AddMode">
            <a class="place-left button large link" ng-click="AddMode = false; EditMode = false; Model.Text = ''; Model.Name = ''">Back</a>
            <button class="success place-right large button" ng-show="AddMode" ng-click="AddWaiver()">Submit</button>
            <button class="success place-right large button" ng-show="EditMode" ng-click="SaveWaiver()">Submit</button>
            <div class="clearfix"></div>
        </div>
        <div ng-hide="EditMode||AddMode">
            <a class="place-left button large link" ng-click="Save()">Back</a>
        </div>
        <div class="clearfix"></div>
    </div>


    <style>
        .k-grid tbody tr {
            cursor: move;
            font-family: 'Segoe UI','Open Sans','Verdana','Arial','Helvetica','sans-serif';
        }
        
    </style>
